2

I'm unable to update Ubuntu anymore. My computer keeps asking me to file a bug for libre-office-common, because it isn't able to update to the newest version for some reason. Software Updater tells me the Package Manager is broken and tells me to disable third party repositories and run [sudo] apt-get install -f, which returns the following error,

username@username:~$ sudo apt-get install -f
[sudo] password for username: 
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libostree-1-1 xdg-desktop-portal xdg-desktop-portal-gtk
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libreoffice-common
Suggested packages:
  libreoffice-style-hicontrast libreoffice-style-oxygen libreoffice-style-sifr
The following packages will be upgraded:
  libreoffice-common
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
20 not fully installed or removed.
Need to get 0 B/20.8 MB of archives.
After this operation, 2,048 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 165858 files and directories currently installed.)
Preparing to unpack .../libreoffice-common_1%3a5.4.5-0ubuntu0.17.10.5_all.deb ...
apparmor_parser: Unable to remove "libreoffice-oopslash".  Profile doesn't exist
apparmor_parser: Unable to remove "libreoffice-senddoc".  Profile doesn't exist
apparmor_parser: Unable to remove "libreoffice-soffice".  Profile doesn't exist
apparmor_parser: Unable to remove "libreoffice-xpdfimport".  Profile doesn't exist
Unpacking libreoffice-common (1:5.4.5-0ubuntu0.17.10.5) over (1:5.4.5-0ubuntu0.17.10.4) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a5.4.5-0ubuntu0.17.10.5_all.deb (--unpack):
 unable to open '/usr/lib/libreoffice/share/template/common/internal/html.stw.dpkg-new': Operation not permitted
rmdir: failed to remove '/var/lib/libreoffice/share/prereg/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/share/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/program/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice': No such file or directory
Errors were encountered while processing:
 /var/cache/apt/archives/libreoffice-common_1%3a5.4.5-0ubuntu0.17.10.5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
username@username:~$ sudo apt autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 libreoffice-pdfimport : Depends: libreoffice-common (= 1:5.4.5-0ubuntu0.17.10.5) but 1:5.4.5-0ubuntu0.17.10.4 is installed
 libreoffice-style-breeze : Depends: libreoffice-common (= 1:5.4.5-0ubuntu0.17.10.5) but 1:5.4.5-0ubuntu0.17.10.4 is installed
 libreoffice-style-elementary : Depends: libreoffice-common (= 1:5.4.5-0ubuntu0.17.10.5) but 1:5.4.5-0ubuntu0.17.10.4 is installed
 libreoffice-style-galaxy : Depends: libreoffice-common (= 1:5.4.5-0ubuntu0.17.10.5) but 1:5.4.5-0ubuntu0.17.10.4 is installed
 libreoffice-style-tango : Depends: libreoffice-common (= 1:5.4.5-0ubuntu0.17.10.5) but 1:5.4.5-0ubuntu0.17.10.4 is installed
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
username@username:~$ sudo apt --fix-broken install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libostree-1-1 xdg-desktop-portal xdg-desktop-portal-gtk
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  libreoffice-common
Suggested packages:
  libreoffice-style-hicontrast libreoffice-style-oxygen libreoffice-style-sifr
The following packages will be upgraded:
  libreoffice-common
1 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
20 not fully installed or removed.
Need to get 0 B/20.8 MB of archives.
After this operation, 2,048 B of additional disk space will be used.
Do you want to continue? [Y/n] Y
(Reading database ... 165858 files and directories currently installed.)
Preparing to unpack .../libreoffice-common_1%3a5.4.5-0ubuntu0.17.10.5_all.deb ...
apparmor_parser: Unable to remove "libreoffice-oopslash".  Profile doesn't exist
apparmor_parser: Unable to remove "libreoffice-senddoc".  Profile doesn't exist
apparmor_parser: Unable to remove "libreoffice-soffice".  Profile doesn't exist
apparmor_parser: Unable to remove "libreoffice-xpdfimport".  Profile doesn't exist
Unpacking libreoffice-common (1:5.4.5-0ubuntu0.17.10.5) over (1:5.4.5-0ubuntu0.17.10.4) ...
dpkg: error processing archive /var/cache/apt/archives/libreoffice-common_1%3a5.4.5-0ubuntu0.17.10.5_all.deb (--unpack):
 unable to open '/usr/lib/libreoffice/share/gallery/arrows.str.dpkg-new': Operation not permitted
rmdir: failed to remove '/var/lib/libreoffice/share/prereg/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/share/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice/program/': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice': No such file or directory
rmdir: failed to remove '/var/lib/libreoffice': No such file or directory
Errors were encountered while processing:
 /var/cache/apt/archives/libreoffice-common_1%3a5.4.5-0ubuntu0.17.10.5_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

This is when a couple minutes later the bug reporter opens up automatically. After I let it collect information for the developers, it opens up a text editor with this in it,

<html> <head> <title>OpenID transaction in progress</title> </head> <body onload="document.forms[0].submit();"> <form action="https://login.launchpad.net/+openid" method="post" accept-charset="UTF-8" enctype="application/x-www-form-urlencoded"><input name="openid.return_to" type="hidden" value="https://launchpad.net/+openid-callback?starting_url=https%3A%2F%2Fbugs.launchpad.net%2Fubuntu%2F%2Bsource%2Flibreoffice%2F%2Bfilebug%2F2d3dd6aa-2b68-11e8-a586-0025b3df357a%3Ffield.title%3Dpackage%2Blibreoffice-common%2B1%253A5.4.5-0ubuntu0.17.10.4%2Bfailed%2Bto%2Binstall%252Fupgrade%253A%2Bunable%2Bto%2Bopen%2B%2527%252Fusr%252Flib%252Flibreoffice%252Fshare%252Fgallery%252Fdiagrams%252FComponent-Gear04-DarkRed.svg.dpkg-new%2527%253A%2BOperation%2Bnot%2Bpermitted&amp;janrain_nonce=2018-03-19T11%3A25%3A12ZmLdZIz"/><input name="openid.realm" type="hidden" value="https://launchpad.net/"/><input name="openid.sreg.required" type="hidden" value="email,fullname"/><input name="openid.ns" type="hidden" value="http://specs.openid.net/auth/2.0"/><input name="openid.claimed_id" type="hidden" value="http://specs.openid.net/auth/2.0/identifier_select"/><input name="openid.ns.sreg" type="hidden" value="http://openid.net/extensions/sreg/1.1"/><input name="openid.assoc_handle" type="hidden" value="{HMAC-SHA1}{5aa9113c}{dExviA==}"/><input name="openid.mode" type="hidden" value="checkid_setup"/><input name="openid.identity" type="hidden" value="http://specs.openid.net/auth/2.0/identifier_select"/><input type="submit" value="Continue"/></form> <script> var elements = document.forms[0].elements; for (var i = 0; i < elements.length; i++) { elements[i].style.display = "none"; } </script> </body> </html>

It used to open up a web page for launchpad to file the bug instead. Now it just opens up the text editor with html code (to do so, but it's broken, because it doesn't open up launchpad in the browser like it should anymore?). Before when the html code wasn't broken, the bug reporter would open the launchpad site in my web browser to log in to report the bug. But launchpad said the following,

Oops! Sorry, something just went wrong in Launchpad.

We’ve recorded what happened, and we’ll fix it as soon as possible. Apologies for the inconvenience.

(Error ID: OOPS-d18dd272fae4356c8f1ce1415bd51368)

When I try to login to launchpad on my own with a web browser, it says I'm already logged in, asking me to confirm I want to share my name and email address with the site (by the way, the check boxes to share the information are uncheckable, so I have to share the information). When I confirm, it shows me this error message,

Oops! Sorry, something just went wrong in Launchpad.

We’ve recorded what happened, and we’ll fix it as soon as possible. Apologies for the inconvenience.

(Error ID: OOPS-5bd3804edb80ca8b5c44fc826c9ace63)

I know I should report some of this on Launchpad, but I'm unable to, because it's a bug that keeps me from logging into Launchpad to do so. So I'm reporting it here.

Also, whenever I reboot, I found red and yellow errors on the readout after gnome has been shut down, but before the computer has. It told me to run the command systemctl status systemd-cryptsetup@cryptswap1.service for details, and the output is as follows,

systemd-cryptsetup@cryptswap1.service - Cryptography Setup for cryptswap1 Loaded: loaded (/etc/crypttab; generated; vendor preset: enabled) Active: failed (Result: exit-code) since Mon 2018-03-19 07:01:12 PDT; 32s ago Docs: man:crypttab(5) man:systemd-cryptsetup-generator(8) man:systemd-cryptsetup@.service(8) Process: 2073 ExecStart=/lib/systemd/systemd-cryptsetup attach cryptswap1 /target/swapfile /dev/urandom swap,offset=1024,cipher=aes-xts-plain64 (code=exited, status=1/FAILURE) Main PID: 2073 (code=exited, status=1/FAILURE)

Mar 19 07:01:12 username systemd[1]: Starting Cryptography Setup for cryptswap1... Mar 19 07:01:12 username systemd-cryptsetup[2073]: crypt_init() failed: Block device required Mar 19 07:01:12 username systemd[1]: systemd-cryptsetup@cryptswap1.service: Main process exited, code=exited, status=1/FAILURE Mar 19 07:01:12 username systemd[1]: Failed to start Cryptography Setup for cryptswap1. Mar 19 07:01:12 username systemd[1]: systemd-cryptsetup@cryptswap1.service: Unit entered failed state. Mar 19 07:01:12 username systemd[1]: systemd-cryptsetup@cryptswap1.service: Failed with result 'exit-code'.

These issues persist after reboots.

4
  • Try apt update; apt install libreoffice-common. Mar 8, 2018 at 7:57
  • Afterwards try apt remove --purge libreoffice-common. Mar 8, 2018 at 7:57
  • Also try logging in to launchpad in your browser by yourself, without reporting. Mar 8, 2018 at 7:57
  • @davidbaumann I tried your suggestions. I updated my post to clarify I already tried logging in to launchpad without reporting, and added the different error message I get when I try that. The commands you suggested also returned similar errors to the ones I already reported. Would he like me to update my post with the output? Also, none of my apps are able to update anymore, it's not just libre-office-common anymore. Software Updater says I need to disable third party repositories. I already disabled flatpak. I'll try disabling snappy now too.
    – user803386
    Mar 19, 2018 at 12:02

1 Answer 1

1

Sounds like your account is a bit broken. Could you please get a fresh OOPS ID (the details of those expire from our systems after a week), and then email that and a summary of what's going on to feedback@launchpad.net? We'll deal with it from there.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.